How do I find which CCH® ProSystem fx® Engagement or Workpaper Manager upgrade I should install?

For ease of installation, here are the preferred upgrade paths (locate your current version on the left, and proceed rightward to the version you wish to install). Please check the CCH® ProSystem fx® Engagement or Workpaper Manager update pages to verify if there are any updates that may need to be applied.


Also, a quick view of supported technology can be found in the article CCH® ProSystem fx® Engagement and Workpaper Manager Supported Technologies.

Important!
  • Upgrading from versions older than the currently supported versions may require upgrades to other supporting programs that have changed in the system requirements. Check the system requirements for each version of the software before upgrading to assure the new version will be supported.
  • If upgrading from more than 2 versions prior to a supported version, please contact your Sales Representative to discuss using our Professional Consulting Services to aid in the upgrade process. 
  • Upgrading the software means running the upgrade on the existing system, not migrating the data to a higher version. If using the backup and restore utility to migrate the data, the paths below may not be adequate. 
As of September 2020, support for versions of Engagement or Workpaper Manager prior to v2017 have been dropped.  Please review below the support calendar history: While it may be necessary to install prior versions to get your Engagement or Workpaper Manager installation caught up to the current version, it is highly recommended updating to a supported version.

Note: If you are installing from Engagement or Workpaper Manager 7.1 & do not use the Engagement Terminal Database then you have the option to upgrade to 7.5 without installing 7.2.

To install v2020:

  • 3.5 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2019 > 2020
  • 3.7 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2019 > 2020
  • 4.0 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2019 > 2020
  • 4.1 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2019 > 2020
  • 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2019 > 2020
  • 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2019 > 2020
  • 4.9 > 5.7 > 7.0 > 7.2 > 2017 > 2019 > 2020
  • 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2019 > 2020
  • 5.5 > 5.7 > 7.0 > 7.2 > 2017 > 2019 > 2020
  • 5.7 > 7.0 > 7.2 > 2017 > 2019 > 2020
  • 6.0 > 7.0 > 7.2 > 2017 > 2019 > 2020
  • 6.1 > 7.0 > 7.2 > 2017 > 2019 > 2020
  • 6.1.2 > 7.0 > 7.2 > 2017 > 2019 > 2020
  • 6.5 > 7.1 > 7.2 > 2017 > 2019 > 2020
  • 6.8 > 7.1 > 7.2 > 2017 > 2019 >2020
  • 6.9 > 7.1 > 7.2 > 2017 > 2019 > 2020
  • 6.11 > 7.1 > 7.2 > 2017 > 2019 > 2020
  • 7.0 > 7.2 > 2017 > 2019 > 2020
  • 7.1 > 7.2 > 2017 > 2019 > 2020
  • 7.2 > 2017 > 2019 > 2020
  • 7.5 > 2018 > 2020
  • 2017 > 2019 > 2020
  • 2018 > 2020
  • 2019 > 2020
Please review the system requirements for Engagement or Workpaper Manager v2020 linked below:


To install v2019:

  • 3.5 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2019
  • 3.7 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2019
  • 4.0 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2019
  • 4.1 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2019
  • 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2019
  • 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2019
  • 4.9 > 5.7 > 7.0 > 7.2 > 2017 > 2019
  • 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2019
  • 5.5 > 5.7 > 7.0 > 7.2 > 2017 > 2019
  • 5.7 > 7.0 > 7.2 > 2017 > 2019
  • 6.0 > 7.0 > 7.2 > 2017 > 2019
  • 6.1 > 7.0 > 7.2 > 2017 > 2019
  • 6.1.2 > 7.0 > 7.2 > 2017 > 2019
  • 6.5 > 7.1 > 7.2 > 2017 > 2019
  • 6.8 > 7.1 > 7.2 > 2017 > 2019
  • 6.9 > 7.1 > 7.2 > 2017 > 2019
  • 6.11 > 7.1 > 7.2 > 2017 > 2019
  • 7.0 > 7.2 > 2017 > 2019
  • 7.1 > 7.2 > 2017 > 2019
  • 7.2 > 2017 > 2019
  • 7.5 > 2018 > 2019
  • 2017 > 2019
  • 2018 > 2019
Warning!: Engagement and Workpaper Manager v2019 or later no longer supports Microsoft® Windows Server 2012 / 2012R2 and  Microsoft® SQL Server® 2012. Please make sure that before beginning the installation of v2019 or later that both Microsoft® Windows Server 2012 / 2012R2 and  Microsoft® SQL Server® 2012 has been upgraded. For more information please review the articleCCH­® ProSystem fx® Engagement: 2019 System Requirements

To install v2018:

  • 3.5 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2018
  • 3.7 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2018
  • 4.0 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2018
  • 4.1 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2018
  • 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2018
  • 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2018
  • 4.9 > 5.7 > 7.0 > 7.2 > 2017 > 2018
  • 5.0 > 5.7 > 7.0 > 7.2 > 2017 > 2018
  • 5.5 > 5.7 > 7.0 > 7.2 > 2017 > 2018
  • 5.7 > 7.0 > 7.2 > 2017 > 2018
  • 6.0 > 7.0 > 7.2 > 2017 > 2018
  • 6.1 > 7.0 > 7.2 > 2017 > 2018
  • 6.1.2 > 7.0 > 7.2 > 2017 > 2018
  • 6.5 > 7.1 > 7.2 > 2017 > 2018
  • 6.8 > 7.1 > 7.2 > 2017 > 2018
  • 6.9 > 7.1 > 7.2 > 2017 > 2018
  • 6.11 > 7.1 > 7.2 > 2017 > 2018
  • 7.0 > 7.2 > 2017 > 2018
  • 7.1 > 7.2 > 2017 > 2018
  • 7.2 > 2017 > 2018
  • 7.5 > 2018
  • 2017 > 2018

To install v2017:

  • 3.5 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017
  • 3.7 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017
  • 4.0 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017
  • 4.1 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017
  • 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017
  • 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 2017
  • 4.9 > 5.7 > 7.0 > 7.2 > 2017
  • 5.0 > 5.7 > 7.0 > 7.2 > 2017
  • 5.5 > 5.7 > 7.0 > 7.2 > 2017
  • 5.7 > 7.0 > 7.2 > 2017
  • 6.0 > 7.0 > 7.2 > 2017
  • 6.1 > 7.0 > 7.2 > 2017
  • 6.1.2 > 7.0 > 7.2 > 2017
  • 6.5 > 7.1 > 7.2 > 2017
  • 6.8 > 7.1 > 7.2 > 2017
  • 6.9 > 7.1 > 7.2 > 2017
  • 6.11 > 7.1 > 7.2 > 2017
  • 7.0 > 7.2 > 2017
  • 7.1 > 7.2 > 2017
  • 7.2 > 2017
  • 7.5 > 2017
Warning!: Engagement and Workpaper Manager v2017 is not supported to be installed on Microsoft® Windows Server® 2008. Please make sure that before beginning the installation of v2017 that Microsoft® Windows Server® 2008 has been upgraded. For more information please review the article:  CCH­® ProSystem fx® Engagement: 2017 System Requirements

To install v7.5:

Warning!: Engagement and Workpaper Manager v7.5 does not support Microsoft® SQL Server® 2008. Please make sure that before beginning the installation of v7.5 that Microsoft® SQL Server® has been upgraded. For more information on upgrading Microsoft® SQL Server®, see What versions of Microsoft® SQL Server® does CCH® ProSystem fx® Engagement or Workpaper Manager support.
  • 3.5 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 7.5
  • 3.7 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 7.5
  • 4.0 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 7.5
  • 4.1 > 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 7.5
  • 4.5 > 4.7 > 5.0 > 5.7 > 7.0 > 7.2 >7.5
  • 4.7 > 5.0 > 5.7 > 7.0 > 7.2 > 7.5
  • 4.9 > 5.7 > 7.0 > 7.2 > 7.5
  • 5.0 > 5.7 > 7.0 > 7.2 > 7.5
  • 5.5 > 5.7 > 7.0 > 7.2 > 7.5
  • 5.7 > 7.0 > 7.2 > 7.5
  • 6.0 > 7.0 > 7.2 > 7.5
  • 6.1 > 7.0 > 7.2 > 7.5
  • 6.1.2 > 7.0 > 7.2 > 7.5
  • 6.5 > 7.1 > 7.5
  • 6.8 > 7.1 > 7.5
  • 6.9 > 7.1 > 7.5
  • 6.11 > 7.1 > 7.5
  • 7.0 > 7.2 > 7.5
  • 7.1 > 7.5
  • 7.2 > 7.5

While it is sometimes possible to reach your desired version in fewer upgrades (if your current version is 4.5 or earlier), this requires running the compressed database utility manually. If you are concerned with minimizing the number of upgrades required, contact technical support for assistance.

  Solution Tools
  Attachments
 Solution Id 000032727/sw26006
 Direct Link
To provide feedback on this solution, please login.

Your feedback about this article will help us make it better. Thank you!